from bson import ObjectId
from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'feedback',

from utils import get_uid


class CRUDfeedback(CRUDBase):
    # 获取所有数据
    async def all_feedback(self, db: AsyncIOMotorDatabase,where):
        return await self.find_many(db, where)

    # 获取对应条件的数据
    async def one_feedback(self, db: AsyncIOMotorDatabase,where):
        return await self.find_many(db, where,{'_id':0})

    # 修改数据
    async def up_feedback(self, db: AsyncIOMotorDatabase, _id,survey):

        await self.update_one(db, {'_id': ObjectId(_id)}, {'$set': {'survey':survey}})

    # 插入数据
    async def ins_feedback(self, db: AsyncIOMotorDatabase, data_in: schemas.Feedback):
        await self.insert_one(db,data_in.dict())


feedback = CRUDfeedback('feedback')
